import type AreaCode from "@/components/area-code/area-code.vue";

export default function useAreaCode() {
    const areaCodeRef = ref<InstanceType<typeof AreaCode>>()

    const defaultAreaCode = ref("+1")


    function handlePageClick() {
        areaCodeRef.value?.close()
    }

    return {
        areaCodeRef,
        defaultAreaCode,
        handlePageClick
    }
}